## xdoclet
Class XDocletMain

    java.lang.Object
      xdoclet.XDocletMain

public class XDocletMain
extends Object

This class serves as an entry-point for starting XDoclet.

Author:
  Ara Abrahamian (ara_e@email.com), Aslak Hellesoy
created
  April 30, 2001

Constructor Summary
`XDocletMain()`

Method Summary
`protected void` `start(xjavadoc.XJavaDoc xJavaDoc)` Starts XDoclet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDocletMain

    public XDocletMain()

Method Detail

### start

    protected void start(xjavadoc.XJavaDoc xJavaDoc)
                  throws XDocletException

  Starts XDoclet

  Parameters:
    `xJavaDoc` -
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/